<template>
  <div class="dialog-underlay" v-if="modelValue" @click="closeDialog">
    <div class="dialog" @click.stop>
      <div class="d-flex justify-content-between">
        <h1>Title</h1>
        <button @click="closeDialog">x</button>
      </div>
      <hr>
      <p>COntent dings ....</p>
      <hr>
      <div class="d-flex justify-content-end">
        <button @click="closeDialog">Close</button>
        <button>Save</button>
      </div>
    </div>
  </div>
</template>

<script setup>
import {ref} from "vue";

//const isDialogOpen = ref(false)

defineProps({
  modelValue: {
    type: Boolean,
    default: false
  }
})
const emit = defineEmits(['update:modelValue'])

function closeDialog() {
  emit('update:modelValue', false)
}
</script>

<style scoped>
.dialog-underlay {
  position: fixed;
  inset: 0;
  background: #00000055;
  backdrop-filter: blur(2px);
}

.dialog {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  min-width: 500px;
  background: white;
  padding: 20px;
  border-radius: 8px;
}
</style>
